<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'SolutionsResourceList',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="resources slp-mb-64">
    <SlpTypography tag="h2" variant="heading2" class="resources__header">{{
      data.title
    }}</SlpTypography>
    <div class="resources__list" v-html="$md.render(data.list)"></div>
  </section>
</template>

<style lang="scss" scoped>
.resources {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.resources__header {
  margin-bottom: $spacing-24;
  font-weight: 700;
  color: #2c3038;
}

.resources__list {
  font-weight: 400;
  font-size: 19px;
  color: #777;
  line-height: 24px;
  &:deep ul li {
    padding-top: 10px;
  }
}
</style>
